OS X Compatibilité

 

Tableau de compatibilité des systèmes d'exploitation Apple Mac OS X avec l'infrastructure EPFL

 
  10.5
Leopard
10.6
Snow
-
10.7
Lion
10.8
Mountain
-
10.9
Mavericks
10.10
Yosemite
10.11
Capitan
10.12
Sierra
10.13
High
Requirements sp517 ht4949 ht4949 ht5444 ht5842 ht6412 ht201475    
Services                  
WPA  OK  OK  OK  OK  OK OK OK OK OK
VPN  OK  OK  OK  OK  OK OK (5) OK OK OK
Open Directory  OK  OK  OK  OK  OK (3) OK OK OK (6) OK
AD  OK  OK  OK  OK  OK OK OK OK OK
LDAP  OK  OK  Failure (1)  OK  OK OK OK OK OK
Mail  OK  OK  OK  OK  OK OK OK OK OK
NAS  OK  OK  OK  OK  OK OK OK OK OK
SMB  OK  OK  OK  OK  OK OK OK OK OK
MyPrint    OK  OK  OK  OK (4) OK OK OK  
SWITCHpoint    OK  New support  New support  OK OK      
NFSv4    OK  OK  OK  OK OK OK OK OK
SSH    OK  Failure (2)  OK  OK OK OK OK OK
VDI           OK 10.11.2 OK  
Applications                  
MatLab       2012b 2013a 2014b 2015b 2016b 2017b
Adobe   OK Issues No Issues Issues OK   Photoshop  
Microsoft             Office 2016 OK Office 2016
Safari               OK (7) OK

Ce tableau dynamique évolue en fonction de l'avancement de nos tests.

 

1) Cette faille de sécurité affecte les serveurs OpenLDAP (ldap.epfl.ch), mais pas les serveurs Apple Open Directory. C'est pourquoi nous vous recommandons de coupler vos Macintosh au serveur opendirectory.epfl.ch !

2) Cette seconde faille de sécurité est aggravée par la précédente. Si vous le pouvez, désactivez l'accès SSH depuis le tableau de bord "Partage".

3) Le dossier des certificats SSL indiqué dans l'ancienne procédure EPFL est éradiqué lors de la mise à jour à 10.9. Par conséquent, il faut les réinstaller, tout comme il faut les installer sur une configuration vierge, tel qu'indiqué dans la nouvelle procédure EPFL.

4) Par défaut, l'authentification est requise, mais une page de garde est imprimée. Commande corrective:
    $ lpadmin -p POOL1 -o XRBannerSheet=None

5) Le VPN natif de Apple fonctionne parfaitement, mais contraIrement au Cisco AnyConnect, il n'active pas par défaut l'option «Send aill traffic over VPN connection». N'oubliez alors pas de l'activer pour accéder à tous les services de l'EPFL.

6) Après mise à jour, il est nécessaire de "truster" le certificat EPFL dans le KeyChain.

7) Incompatibilité d'affichage avec ServiceNow.

8) Nouveau système de fichiers APFS


▶️ Chronologie des versions de Mac OS X.

 

Le 5 octobre 2017